Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.websocket
Class Utf8Decoder

    java.lang.Object
      java.nio.charset.CharsetDecoder
          org.apache.catalina.websocket.Utf8Decoder

    public class Utf8Decoder

extends CharsetDecoder

Decodes bytes to UTF-8. Extracted from Apache Harmony and modified to reject code points from U+D800 to U+DFFF as per RFC3629. The standard Java decoder does not reject these.

Constructor Summary
`Utf8Decoder()`

Method Summary
`protected CoderResult` | `decodeLoop(ByteBuffer in, CharBuffer out)`

Methods inherited from class java.nio.charset.CharsetDecoder
`averageCharsPerByte, charset, decode, decode, detectedCharset, flush, implFlush, implOnMalformedInput, implOnUnmappableCharacter, implReplaceWith, implReset, isAutoDetecting, isCharsetDetected, malformedInputAction, maxCharsPerByte, onMalformedInput, onUnmappableCharacter, replacement, replaceWith, reset, unmappableCharacterAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utf8Decoder

    public Utf8Decoder()

Method Detail

### decodeLoop

    protected CoderResult decodeLoop(ByteBuffer in,
                                     CharBuffer out)

  Specified by:
    `decodeLoop` in class `CharsetDecoder`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.